For the complete documentation index, see llms.txt. This page is also available as Markdown.

getmininginfo - Bitcoin

Example code for the getmininginfo JSON-RPC method. Complete guide on how to use getmininginfo JSON-RPC in GetBlock Web3 documentation.

This method returns mining-related information, including the current block height, difficulty, network hash rate, and mempool size.

Parameters

This method does not accept any parameters.

Request

curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "getmininginfo",
    "params": [],
    "id": "getblock.io"
}'
example.js
const axios = require('axios');

const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
    jsonrpc: '2.0',
    method: 'getmininginfo',
    params: [],
    id: 'getblock.io'
}, {
    headers: { 'Content-Type': 'application/json' }
});

console.log(response.data.result);
example.py
import requests

response = requests.post(
    'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
    headers={'Content-Type': 'application/json'},
    json={
        'jsonrpc': '2.0',
        'method': 'getmininginfo',
        'params': [],
        'id': 'getblock.io'
    }
)

print(response.json())

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "blocks": 830000,
        "currentblockweight": 3993000,
        "currentblocktx": 3150,
        "difficulty": 75502165623893.83,
        "networkhashps": 5.12e+20,
        "pooledtx": 42150,
        "chain": "main",
        "warnings": ""
    }
}

Response Parameters

Parameter
Type
Description

jsonrpc

string

JSON-RPC protocol version ("2.0")

id

string

Request identifier matching the request

result

object

Mining information object

Result Object

Field
Type
Description

blocks

number

The current block height

difficulty

number

The current mining difficulty

networkhashps

number

Estimated network hashes per second

pooledtx

number

Number of transactions in the mempool

Use Cases

  • Mining Dashboards: Display difficulty and network hash rate

  • Hashrate Monitoring: Track estimated network hash rate

  • Analytics: Correlate difficulty and hash rate

  • Diagnostics: Read mining-related warnings

Error Handling

Error Code
Message
Description

403

Forbidden

Missing or invalid ACCESS-TOKEN

-8

Invalid parameter

A parameter is out of range or malformed

-32601

Method not found

The method is not available on this endpoint

-32602

Invalid params

A parameter is missing or has the wrong type

Last updated

Was this helpful?